﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="WebProjectPlanner" Codebehind="LetsBuild_ProjectPlanner.aspx.cs" %>

<%@ Register Assembly="PlexityHide.GTP.WEB" Namespace="PlexityHide.GTP.WEB" TagPrefix="GTP" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
 <!-- <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> -->

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Lets build an ajax project plan gui using the GTP.NET, Interactive Ajax Gantt chart</title>
</head>
<body>
    <form id="form1" runat="server">
    
        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" 
            CombineScripts="True">
                      <Scripts>        
            <asp:ScriptReference Name="Common.Common.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="Compat.DragDrop.DragDropScripts.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="PlexityHideAjax.Gantt_AjaxBehavior.js" Assembly="PlexityHideAjax"  />
            </Scripts>

        </asp:ToolkitScriptManager>
        <h2>
            GTP.NET the interactive Gantt chart that helps you with any and all time visualization
            and manipulation needs<br />
        </h2>
            <span style="font-family: Arial">
        These pages </span><a href="LetsBuild_ProjectPlanner.aspx">
                <span style="font-family: Arial">LetsBuild_ProjectPlanner</span></a><span style="font-family: Arial">,
                </span>
        <a href="LetsBuild_ResourceBooker.aspx"><span style="font-family: Arial">LetsBuild_ResourceBooker</span></a><span
                    style="font-family: Arial"> and </span><a
            href="LetsBuild_WeeklyPlanner.aspx"><span
                        style="font-family: Arial">LetsBuild_WeeklyPlanner</span></a>
                            shows representable
        samples on how to use the GTP.NET for Ajax ASP.NET.<br />
                            To access this source code you must download the <a href="http://www.plexityhide.com/pub/GTP.NET.msi">
                                GTP.NET</a> evaluation and the <a href="http://www.plexityhide.com/pub/GTPNETWebAndAjaxSetup.msi">
                                    GTPNETWebAjax</a>
                            setup, you will then find the complete sample source code on your system at this
                            location "C:\inetpub\wwwroot\GTP.NET.ASP.NET.AJAX\CompleteSource".<br />
                            The GTP.NET is a licensed control, you need to license per developer but <strong>there are no additional
                            runtime fees</strong>. You may <strong>deploy the GTP.NET free of charge</strong> once you have a developer
                            license.<br />
                            The GTP.NET is best described as a complete interactive windows form Gantt chart
                            with ASP.NET and Ajax capabilities.
                            <br />
        <br />
          <strong>
          To create an ajax enabled Gantt chart go like this:<br />
          </strong>
          1. Scriptmanager on the page<br />
          2. UpdatePanel on the page<br />
          3. Add Gantt_ASP to the UpdatePanel<br />
          4. Add GTPImg.aspx to your project (handles rt-created images)<br />
          5. Make sure the Gantt_ASP has ClientTimeItems == true
          <br />
          6. Make sure you have Gantt_ASP.UsePngImages == true (jpegs do not support transparancy)<br />
            <br />
            <strong>New Feature</strong>: Gantt_ASP1.ClientSideTimeItemCreateMode=true when
            this is true you can click and drag to create new time items. Free update for all
            3.0 license holders.<br />
        <strong>Yet another New Feature</strong>: Grid column head sorts column&nbsp;<br />
        <br />
        Try out some of the many interactive features of the GTP.NET; Click the zoom buttons
        and zoom into seconds our out to show decades. Move time
        items in time, resize them
        in their right end etc.<br />
        <br />
      <asp:UpdatePanel ID="UpdatePanel1" runat="server" >
        <ContentTemplate>
        <asp:Panel runat="server">
          <gtp:gantt_asp ID="Gantt_ASP1" runat="server" Height="489px" Width="900px" 
                OnOnClientSideChangesApplied="Gantt_ASP1_OnClientSideChangesApplied" 
                UsePngImages="True" BackColor="White" BorderColor="White" PagingUse="False" 
                OnOnGanttRow_ClientClick="Gantt_ASP1_OnGanttRow_ClientClick" 
                OnOnTimeItem_ClientClick="Gantt_ASP1_OnTimeItem_ClientClick" 
                ClientTimeItems="True" PagingPageSize="5" UseColumnWidths="False" 
                UseExpandedRowHeights="False" ExternalStyles="False" ImagePath="" 
                PathToStaticImages="" StoreTemporaryImagesOnDisk="False" 
                TemporaryImagesOnDiskPath="" 
                ononcelldivattributesstring="Gantt_ASP1_OnCellDivAttributesString1" />
          &nbsp;
          </asp:Panel>
        </ContentTemplate>
      </asp:UpdatePanel>
      <br />
      <strong>
      To re-use investment in Gantt chart done for windows form go like this:<br />
      </strong>1. Include your form containing the Gantt in the web project (in an assembly or
      by copying the code)<br />
      2. Create a Gantt_AspSettings component<br />
      3. Connect your Gantt_ASPSettings component &nbsp;to the windows form Gantt and to your Gantt_ASP like much this:<br />
      <span style="font-size: 9pt; color: #0033ff; font-family: Lucida Console">&nbsp; this.gantt_ASPSettings1
        = new PlexityHide.GTP.WEB.Gantt_ASPSettings();
        <br />
        &nbsp; gantt_ASPSettings1.Gantt_ASP = Gantt_ASP1;
        <br />
        &nbsp; f1 = new LetsBuild_ProjectPlanner.Form1();
        <br />
        &nbsp; f1.DoAllTheInitWork();
        <br />
        &nbsp; gantt_ASPSettings1.WrapGantt(f1.gantt1); 
        <br />
        <asp:Button ID="ButtonPrint" runat="server" onclick="ButtonPrint_Click" 
            Text="Print current into bitmap" />
        <br />
        <br />
        <br />
        test1<br />
        <br />
       
        <br />
        test2</span>
        <br />
        <br />
    </form>
</body>
</html>
