<%@ Page Language="C#" AutoEventWireup="true" Inherits="WebLetsBuild_WeeklyPlanner" Codebehind="LetsBuild_WeeklyPlanner.aspx.cs" %>

<%@ Register Assembly="PlexityHide.GTP.WEB" Namespace="PlexityHide.GTP.WEB" TagPrefix="GTP" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Interactive Ajax Scheduling chart</title>
</head>
<body>
    <form id="form1" runat="server">
        <h2>
            GTP.NET the interactive Gantt chart that helps you with any and all time visualization
            and manipulation needs<br />
        </h2>
            <span style="font-family: Arial">
        These pages </span><a href="LetsBuild_ProjectPlanner.aspx">
                <span style="font-family: Arial">LetsBuild_ProjectPlanner</span></a><span style="font-family: Arial">,
                </span>
        <a href="LetsBuild_ResourceBooker.aspx"><span style="font-family: Arial">LetsBuild_ResourceBooker</span></a><span
                    style="font-family: Arial"> and </span><a
            href="LetsBuild_WeeklyPlanner.aspx"><span
                        style="font-family: Arial">LetsBuild_WeeklyPlanner</span></a>
                            shows representable
        samples on how to use the GTP.NET for Ajax ASP.NET.<br />
                            To access this source code you must download the <a href="http://www.plexityhide.com/pub/GTP.NET.msi">
                                GTP.NET</a> evaluation and the <a href="http://www.plexityhide.com/pub/GTPNETWebAndAjaxSetup.msi">
                                    GTPNETWebAjax</a>
                            setup, you will then find the complete sample source code on your system at this
                            location "C:\inetpub\wwwroot\GTP.NET.ASP.NET.AJAX\CompleteSource".<br />
                            The GTP.NET is a licensed control, you need to license per developer but <strong>there are no additional
                            runtime fees</strong>. You may <strong>deploy the GTP.NET free of charge</strong> once you have a developer
                            license.<br />
                            The GTP.NET is best described as a complete interactive windows form Gantt chart
                            with ASP.NET and Ajax capabilities.
                            <br />
        
    <div>
        <asp:ToolkitScriptManager ID="ToolkitScriptManager2" runat="server" combinescripts="false">
                      <Scripts>        
            <asp:ScriptReference Name="Common.Common.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="Compat.DragDrop.DragDropScripts.js" Assembly="AjaxControlToolkit"  />
            <asp:ScriptReference Name="PlexityHideAjax.Gantt_AjaxBehavior.js" Assembly="PlexityHideAjax"  />
            </Scripts>

        </asp:ToolkitScriptManager>
        <br />
        This sample shows the GTP.NET in Schedule mode, acting as a Weekly planner . Try
        out some of the many interactive capabilities of the GTP.NET; click and drag the
        date scale, move bookings in time and between days, Click an empty space and drag
        out a new booking. This sample is getting the data from a dataset via databind.</div>
      <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
          <GTP:Gantt_ASP ID="Gantt_ASP1" runat="server" Height="534px" OnOnClientSideChangesApplied="Gantt_ASP1_OnClientSideChangesApplied"
            Width="945px" ClientSideTimeItemCreateMode="True" />
        </ContentTemplate>
      </asp:UpdatePanel>
    </form>
</body>
</html>
